summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2017-01-30 21:51:42 +0100
committerLars Wendler <polynomial-c@gentoo.org>2017-01-30 21:53:09 +0100
commitece0152f9b5c30a8e1ed96d5b8e5c1e771457bfa (patch)
treece1d8de884984e5c1753eddf05c4c0a9ebe7690e /media-sound/murmur
parentmedia-sound/mumble: Bump to version 1.2.19 (diff)
downloadgentoo-ece0152f9b5c30a8e1ed96d5b8e5c1e771457bfa.tar.gz
gentoo-ece0152f9b5c30a8e1ed96d5b8e5c1e771457bfa.tar.bz2
gentoo-ece0152f9b5c30a8e1ed96d5b8e5c1e771457bfa.zip
media-sound/murmur: Bump to version 1.2.19
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'media-sound/murmur')
-rw-r--r--media-sound/murmur/Manifest1
-rw-r--r--media-sound/murmur/murmur-1.2.19.ebuild131
2 files changed, 132 insertions, 0 deletions
diff --git a/media-sound/murmur/Manifest b/media-sound/murmur/Manifest
index d88dccbe7b8..b111ef60fe9 100644
--- a/media-sound/murmur/Manifest
+++ b/media-sound/murmur/Manifest
@@ -1,2 +1,3 @@
DIST mumble-1.2.17.tar.gz 3207840 SHA256 1c3601efdac611c8833d508054698ee9d8917b4e5fffb7fff8baec0bd6c8cb9c SHA512 03cb0a2048d42bd480741e0580cb4bf6961d607d6cf9b620434aea87ac0cd7cdbfae33863b71821ac8b931300df490ae5436f3c8098d6a5f37dd1eab0fb34dbe WHIRLPOOL 1c2b2eccad4abf825393aebecc691e535254cd8df16f9ebfc1fe282bf15d36af83f4cca559eba6a38c27ba58045cb09ca309e7be300e5ccd9f46cf0be47dd82c
DIST mumble-1.2.18.tar.gz 3210749 SHA256 e0f7acc82691b9090e5d10a23ff4a7ceb9affe429b8f5221a9766129dc6f55aa SHA512 bd8b10cb34733d566fd6aae2410e8fe5f098efe5c5b106f569112d4e5205d8a045d43a0adc02a7a9d3e16b15e3515d908784596f293a7e2972fba20830161074 WHIRLPOOL f3d254db7557f5cb3d90f6f9da98f6e820a82dff072aab18e44ac19092653f36e245f746b02e0d9ee9eff0652a5c6a63919ca3ffba7e0b512204d5c7da0116d8
+DIST mumble-1.2.19.tar.gz 3210865 SHA256 f047fb707ad93948b0bc913ec0a89cd5480d87e840c4ff2519608fc8a2dac0e8 SHA512 f91111194a899149b500a94afcf7cc5b9691c7ce8669f07fca2c66adbb3916ddb863bf703d04fb8387133fb75f3c8edb52974d1acf3febfafa1f73da19946de4 WHIRLPOOL 6cf6ab5768946dea78d96dbc7bab0875ecfdee5fb7282f3752a8573f95fabc50c0c38712f79920883b3593ec0be62895c62045ee45b44cb4327a719a98a15990
diff --git a/media-sound/murmur/murmur-1.2.19.ebuild b/media-sound/murmur/murmur-1.2.19.ebuild
new file mode 100644
index 00000000000..99eaa041812
--- /dev/null
+++ b/media-sound/murmur/murmur-1.2.19.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils qmake-utils systemd user readme.gentoo-r1
+
+MY_P="mumble-${PV/_/~}"
+
+DESCRIPTION="Mumble is an open source, low-latency, high quality voice chat software"
+HOMEPAGE="https://wiki.mumble.info"
+SRC_URI="https://mumble.info/snapshot/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~x86"
+IUSE="+dbus debug +ice pch zeroconf"
+
+RDEPEND=">=dev-libs/openssl-1.0.0b:0=
+ >=dev-libs/protobuf-2.2.0:=
+ sys-apps/lsb-release
+ >=sys-libs/libcap-2.15
+ dev-qt/qtcore:4[ssl]
+ || ( dev-qt/qtsql:4[sqlite] dev-qt/qtsql:4[mysql] )
+ dev-qt/qtxmlpatterns:4
+ dbus? ( dev-qt/qtdbus:4 )
+ ice? ( dev-libs/Ice:= )
+ zeroconf? ( net-dns/avahi[mdnsresponder-compat] )"
+
+DEPEND="${RDEPEND}
+ >=dev-libs/boost-1.41.0
+ virtual/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.2.17-ice-3.6.3-compat.patch
+)
+
+DOC_CONTENTS="
+ Useful scripts are located in /usr/share/doc/${PF}/scripts.\n
+ Please execute:\n
+ murmurd -ini /etc/murmur/murmur.ini -supw <pw>\n
+ chown murmur:murmur /var/lib/murmur/murmur.sqlite\n
+ to set the build-in 'SuperUser' password before starting murmur.
+ Please restart dbus before starting murmur, or else dbus
+ registration will fail.
+"
+
+pkg_setup() {
+ enewgroup murmur
+ enewuser murmur -1 -1 /var/lib/murmur murmur
+}
+
+src_prepare() {
+ default
+
+ sed \
+ -e 's:mumble-server:murmur:g' \
+ -e 's:/var/run:/run:g' \
+ -i "${S}"/scripts/murmur.{conf,ini.system} || die
+}
+
+src_configure() {
+ local conf_add
+
+ use dbus || conf_add="${conf_add} no-dbus"
+ use debug && conf_add="${conf_add} symbols debug" || conf_add="${conf_add} release"
+ use ice || conf_add="${conf_add} no-ice"
+ use pch || conf_add="${conf_add} no-pch"
+ use zeroconf || conf_add="${conf_add} no-bonjour"
+
+ eqmake4 main.pro -recursive \
+ CONFIG+="${conf_add} no-client"
+}
+
+src_install() {
+ dodoc README CHANGES
+
+ docinto scripts
+ dodoc scripts/*.php scripts/*.pl
+
+ local dir
+ if use debug; then
+ dir=debug
+ else
+ dir=release
+ fi
+
+ dobin "${dir}"/murmurd
+
+ insinto /etc/murmur/
+ newins scripts/murmur.ini.system murmur.ini
+
+ insinto /etc/logrotate.d/
+ newins "${FILESDIR}"/murmur.logrotate murmur
+
+ insinto /etc/dbus-1/system.d/
+ doins scripts/murmur.conf
+
+ insinto /usr/share/murmur/
+ doins src/murmur/Murmur.ice
+
+ newinitd "${FILESDIR}"/murmur.initd-r1 murmur
+ newconfd "${FILESDIR}"/murmur.confd murmur
+
+ if use dbus; then
+ systemd_newunit "${FILESDIR}"/murmurd-dbus.service "${PN}".service
+ systemd_newtmpfilesd "${FILESDIR}"/murmurd-dbus.tmpfiles "${PN}".conf
+ else
+ systemd_newunit "${FILESDIR}"/murmurd-no-dbus.service "${PN}".service
+ fi
+
+ keepdir /var/lib/murmur /var/log/murmur
+ fowners -R murmur /var/lib/murmur /var/log/murmur
+ fperms 750 /var/lib/murmur /var/log/murmur
+
+ # Fix permissions on config file as it might contain passwords.
+ # (bug #559362)
+ fowners root:murmur /etc/murmur/murmur.ini
+ fperms 640 /etc/murmur/murmur.ini
+
+ doman man/murmurd.1
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}